html, body {
    width: 100%;
    height: var(--vh, 100%);
    margin: 0;
    padding: 0;
    overflow: hidden;
}

#app {
    margin-top: env(safe-area-inset-top);
    margin-bottom: env(safe-area-inset-bottom);
    margin-left: env(safe-area-inset-left);
    margin-right: env(safe-area-inset-right);
    height: calc(var(--vh, 100%) - env(safe-area-inset-top) - env(safe-area-inset-bottom));
    width: calc(100% - env(safe-area-inset-left) - env(safe-area-inset-right));
    padding: 0;
}

#warning {
    position: absolute;
    top: 100px;
    left: 100px;
    max-width: 830px;
    z-index: 100;
    background-color: white;
    font-size: initial;
    display: none;
}

#warning li {
    padding-bottom: 15px;
}

#warning span.code {
    font-family: monospace;
}
